--- ezxflash/ezxflash/src/Makefile.orig	2008-09-03 11:37:01.000000000 +0300
+++ ezxflash/ezxflash/src/Makefile	2008-09-03 12:21:14.000000000 +0300
@@ -17,10 +17,10 @@
 CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
 LEXFLAGS      = 
 YACCFLAGS     = -d
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I.
+INCPATH       = -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I/usr/lib/qt4/include -I/usr/lib/qt4/include/QtGui -I. -I. -I.
 LINK          = g++
 LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -lp2kmoto -L/usr/local/lib -lQtGui -lQtCore -lpthread
+LIBS          = $(SUBLIBS)  -L/usr/lib -lp2kmoto -L/usr/local/lib -L/usr/lib/qt4/lib -lQtGui -lQtCore -lpthread
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake-qt4
@@ -53,18 +53,18 @@
 		mainwindow.o \
 		moc_mainwindow.o \
 		moc_phone.o
-DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
-		/usr/share/qt4/mkspecs/features/qt_config.prf \
-		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
-		/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/usr/share/qt4/mkspecs/features/release.prf \
-		/usr/share/qt4/mkspecs/features/default_post.prf \
-		/usr/share/qt4/mkspecs/features/warn_on.prf \
-		/usr/share/qt4/mkspecs/features/qt.prf \
-		/usr/share/qt4/mkspecs/features/unix/thread.prf \
-		/usr/share/qt4/mkspecs/features/moc.prf \
-		/usr/share/qt4/mkspecs/features/resources.prf \
-		/usr/share/qt4/mkspecs/features/uic.prf \
+DIST          = /usr/lib/qt4/mkspecs/qconfig.pri \
+		/usr/lib/qt4/mkspecs/features/qt_config.prf \
+		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
+		/usr/lib/qt4/mkspecs/features/default_pre.prf \
+		/usr/lib/qt4/mkspecs/features/release.prf \
+		/usr/lib/qt4/mkspecs/features/default_post.prf \
+		/usr/lib/qt4/mkspecs/features/warn_on.prf \
+		/usr/lib/qt4/mkspecs/features/qt.prf \
+		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
+		/usr/lib/qt4/mkspecs/features/moc.prf \
+		/usr/lib/qt4/mkspecs/features/resources.prf \
+		/usr/lib/qt4/mkspecs/features/uic.prf \
 		src.pro
 QMAKE_TARGET  = ezxflash
 DESTDIR       = ../
@@ -98,31 +98,31 @@
 	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
-		/usr/share/qt4/mkspecs/features/qt_config.prf \
-		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
-		/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/usr/share/qt4/mkspecs/features/release.prf \
-		/usr/share/qt4/mkspecs/features/default_post.prf \
-		/usr/share/qt4/mkspecs/features/warn_on.prf \
-		/usr/share/qt4/mkspecs/features/qt.prf \
-		/usr/share/qt4/mkspecs/features/unix/thread.prf \
-		/usr/share/qt4/mkspecs/features/moc.prf \
-		/usr/share/qt4/mkspecs/features/resources.prf \
-		/usr/share/qt4/mkspecs/features/uic.prf
+Makefile: src.pro  /usr/lib/qt4/mkspecs/linux-g++/qmake.conf /usr/lib/qt4/mkspecs/qconfig.pri \
+		/usr/lib/qt4/mkspecs/features/qt_config.prf \
+		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
+		/usr/lib/qt4/mkspecs/features/default_pre.prf \
+		/usr/lib/qt4/mkspecs/features/release.prf \
+		/usr/lib/qt4/mkspecs/features/default_post.prf \
+		/usr/lib/qt4/mkspecs/features/warn_on.prf \
+		/usr/lib/qt4/mkspecs/features/qt.prf \
+		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
+		/usr/lib/qt4/mkspecs/features/moc.prf \
+		/usr/lib/qt4/mkspecs/features/resources.prf \
+		/usr/lib/qt4/mkspecs/features/uic.prf
 	$(QMAKE) -unix -o Makefile src.pro
-/usr/share/qt4/mkspecs/qconfig.pri:
-/usr/share/qt4/mkspecs/features/qt_config.prf:
-/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
-/usr/share/qt4/mkspecs/features/default_pre.prf:
-/usr/share/qt4/mkspecs/features/release.prf:
-/usr/share/qt4/mkspecs/features/default_post.prf:
-/usr/share/qt4/mkspecs/features/warn_on.prf:
-/usr/share/qt4/mkspecs/features/qt.prf:
-/usr/share/qt4/mkspecs/features/unix/thread.prf:
-/usr/share/qt4/mkspecs/features/moc.prf:
-/usr/share/qt4/mkspecs/features/resources.prf:
-/usr/share/qt4/mkspecs/features/uic.prf:
+/usr/lib/qt4/mkspecs/qconfig.pri:
+/usr/lib/qt4/mkspecs/features/qt_config.prf:
+/usr/lib/qt4/mkspecs/features/exclusive_builds.prf:
+/usr/lib/qt4/mkspecs/features/default_pre.prf:
+/usr/lib/qt4/mkspecs/features/release.prf:
+/usr/lib/qt4/mkspecs/features/default_post.prf:
+/usr/lib/qt4/mkspecs/features/warn_on.prf:
+/usr/lib/qt4/mkspecs/features/qt.prf:
+/usr/lib/qt4/mkspecs/features/unix/thread.prf:
+/usr/lib/qt4/mkspecs/features/moc.prf:
+/usr/lib/qt4/mkspecs/features/resources.prf:
+/usr/lib/qt4/mkspecs/features/uic.prf:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
@@ -158,12 +158,12 @@
 moc_mainwindow.cpp: ui_mainwindow.h \
 		phone.h \
 		mainwindow.h \
-		/usr/bin/moc-qt4
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp
+		/usr/lib/qt4/bin/moc 
+	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp
 
 moc_phone.cpp: phone.h \
-		/usr/bin/moc-qt4
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) phone.h -o moc_phone.cpp
+		/usr/lib/qt4/bin/moc 
+	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) phone.h -o moc_phone.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
@@ -176,7 +176,7 @@
 compiler_uic_clean:
 	-$(DEL_FILE) ui_mainwindow.h
 ui_mainwindow.h: mainwindow.ui
-	/usr/bin/uic-qt4 mainwindow.ui -o ui_mainwindow.h
+	/usr/lib/qt4/bin/uic mainwindow.ui -o ui_mainwindow.h
 
 compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 
 
